Subject: [PATCH v4] ARM/serial: at91: switch atmel serial to use gpiolib

From: [email-masked] (Nicolas Ferre)
Date: Wed, 8 Jan 2014 13:54:50 +0100

On 08/01/2014 13:42, Linus Walleij :
> On Thu, Nov 7, 2013 at 10:25 AM, Linus Walleij <[email-masked]> wrote:
> 
>> This passes the errata fix using a GPIO to control the RTS pin
>> on one of the AT91 chips to use gpiolib instead of the
>> AT91-specific interfaces. Also remove the reliance on
>> compile-time #defines and the cpu_* check and rely on the
>> platform passing down the proper GPIO pin through platform
>> data.
>>
>> This is a prerequisite for getting rid of the local GPIO
>> implementation in the AT91 platform and move toward
>> multiplatform.
>>
>> The patch also adds device tree support for getting the
>> RTS GPIO pin from the device tree on DT boot paths.
>>
>> Signed-off-by: Nicolas Ferre <[email-masked]>
>> Acked-by: Jean-Christophe PLAGNIOL-VILLARD <[email-masked]>
>> Signed-off-by: Linus Walleij <[email-masked]>
>> ---
>> ChangeLog v3->v4:
> 
> Hi Nicolas, I don't see this patch in linux-next, where did it
> get stuck? Something I can help with? Greg has ACKed it
> and all I think ...

Yes, everything seemed ready. It is actually stuck in Uwe's pull-request
which I asked for an update yesterday...
(Re: [GIT PULL] get rid of <mach/timex.h>). Maybe we should synchronize
each other on IRC?

I would have liked to see it merged in linux-next soon.

Bye,
-- 
Nicolas Ferre